Replay Events

This endpoint is used to get all replay events in a paged form.

Response Payload Object

The response's payload will contain an array of objects containing the following values.

PropertyTypeDescription
idGuidThe Id for this event.
registrationDateTimeThe timestamp for when the event occurred.
publicEventIdGuidThe Id of the public event that occurred.
eventSentbooleanWhether or not the event was sent to the webhook.
timesReplayedintegerThe number of times the event was replayed to the webhook.

Controlled Errors

Error CodeError Message
error_start_datetime_before_endThe From value in the filter is after the To value provided.

Any status codes returned that are not provided here are generic status codes that can be found here.

Query Params
date

The start DateTime for an interval to filter the items by. If the From is provided, then the To must also be provided.

date

The end DateTime for an interval to filter the items by.

string

The Guid Id of a specific public event to filter the items by.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain